Subject: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el recompiled on startup

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 17 Oct 2022 14:01:30 +0200

Arash Esbati <[email-masked]> writes:

> Thanks for looking at this.  When I re-start Emacs (after initial
> native-compiling all .elc files I'm using), it creates a
> *Async-native-compile-log* buffer with this single line in it:
>
>   Compilation finished.
>
> Is this the intended behavior?  I.e., will there always be the
> *Async-native-compile-log* at start up telling me that no new .elc file
> was compiled?

No, I think this means that you haven't regenerated all the relevant
loaddef*elc files.  Try saying "make bootstrap" and see whether the
problem goes away.

If it doesn't, it a bug somewhere.